poke-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Fix configuration: don't use non-functional gcc-ar and gcc-ranlib


From: Luca Saiu
Subject: Re: Fix configuration: don't use non-functional gcc-ar and gcc-ranlib
Date: Mon, 22 Feb 2021 21:53:11 +0100
User-agent: Gnus (Gnus v5.13), GNU Emacs 27.0.50, x86_64-pc-linux-gnu

On 2021-02-21 at 23:39 +0100, Bruno Haible wrote:

> On a Solaris machine I have access to, the build fails:
>
> libtool: link: gcc-ar cru [...object files...]
> sorry - this program has been built without plugin support
> *** Error code 1
>
> The reason is that the jitter configuration has picked 'gcc-ar' instead of 
> 'ar',
> and this 'gcc-ar' program is not functional:

Good catch, thanks.

However I decided to solve this differently: the only purpose of my
definition of AR and RANLIB (quite old, in fact) was to support LTO,
which is a bad match for Jitter anyway.  If I let Autoconf do its own
tests and define AR and RANLIB the obvious way everything non-LTO will
work anyway.

Committed a fix.  Testing this on unusual configurations will be
interesting.

-- 
Luca Saiu
* My personal web site:  http://ageinghacker.net
* Jitter:                http://ageinghacker.net/projects/jitter
* GNU epsilon:           http://www.gnu.org/software/epsilon

I support everyone's freedom of mocking any opinion or belief, no
matter how deeply held, with open disrespect and the same unrelented
enthusiasm of a toddler who has just learned the word "poo".

Attachment: signature.asc
Description: PGP signature


reply via email to

[Prev in Thread] Current Thread [Next in Thread]